/*
https://w3bits.com/labs/css-dropdown-menu/
*/
.wrapper {
  max-width: 970px;
  margin: 3em auto;
}

.menu,
.sub-menu {
  margin: 0;
  padding: 0;
}

.menu-item,
.sub-menu,
.dropdown-icon {
  border: 0 solid;
}

.menu .menu-item {
  display: block;
}
.menu .menu-item.has-children, .menu .menu-item.has-children .menu-item {
  position: relative;
}
.menu .menu-item:not(:last-child) {
  border-width: 0 0 1px;
}
.menu .menu-item a {
  padding: 1em;
  display: flex;
  justify-content: space-between;
  text-decoration: none;
}
.menu .sub-menu {
  border-width: 1px 0 0;
  visibility: hidden;
  opacity: 0;
  height: 0;
  width: 0;
  transition: visibility .25s, opacity .25s ease-in-out;
}
.menu .sub-menu .menu-item {
  visibility: hidden;
}
.menu .menu-item:hover > .sub-menu, .menu .menu-item:active > .sub-menu, .menu .menu-item:focus > .sub-menu {
  opacity: 1;
  height: auto;
  width: auto;
}
.menu .menu-item:hover > .sub-menu,
.menu .menu-item:hover > .sub-menu .menu-item, .menu .menu-item:active > .sub-menu,
.menu .menu-item:active > .sub-menu .menu-item, .menu .menu-item:focus > .sub-menu,
.menu .menu-item:focus > .sub-menu .menu-item {
  visibility: visible;
}
.menu .menu-item > a:hover .dropdown-icon:after, .menu .menu-item > a:active .dropdown-icon:after, .menu .menu-item > a:focus .dropdown-icon:after {
  transform: rotate(45deg);
}
.menu .dropdown-icon {
  padding: 1em 1.25em;
  margin: -1em -1em -1em .5em;
  border-width: 0 0 0 1px;
}
.menu .dropdown-icon:after {
  content: "+";
  display: block;
  transition: transform .25s ease-in-out;
}

.nav--rtl {
  direction: rtl;
  unicode-bidi: bidi-override;
}
.nav--rtl .menu .dropdown-icon {
  margin: -1em .5em -1em -1em;
  border-width: 0 1px 0 0;
}

@media only screen and (min-width: 1024px) {
  .nav .menu {
    display: flex;
    flex-flow: row wrap;
  }
  .nav .menu > .menu-item {
    border-width: 0 1px 0 0;
  }
  .nav .menu > .menu-item > a .dropdown-icon {
    padding-left: 0;
  }
  .nav .menu .menu-item:hover > .sub-menu, .nav .menu .menu-item:active > .sub-menu, .nav .menu .menu-item:focus > .sub-menu {
    width: 225px;
  }
  .nav .menu .sub-menu {
    position: absolute;
    z-index: 3000;
    top: 100%;
    left: 0;
    border-width: 0;
  }
  .nav .menu .sub-menu .sub-menu {
    top: 0;
    left: 100%;
  }
  .nav .menu .dropdown-icon {
    border-width: 0;
    padding: 1em;
  }

  .nav--rtl .menu > .menu-item > a .dropdown-icon {
    padding-left: 1em;
    padding-right: 0;
  }
  .nav--rtl .menu .sub-menu {
    top: 100%;
    left: auto;
    right: 0;
  }
  .nav--rtl .menu .sub-menu .sub-menu {
    left: auto;
    right: 100%;
  }

  .nav--cen .menu {
    justify-content: center;
  }
}
.nav {
  background-color: #357EDD;
}
.nav .menu > .menu-item,
.nav .menu > .menu-item .dropdown-icon {
  border-color: rgba(255, 255, 255, 0.1);
}
.nav .menu > .menu-item, .nav .menu > .menu-item > a {
    color: #ddd;
    text-decoration: none;
}
.nav .menu > .menu-item > a:hover, .nav .menu > .menu-item > a:active, .nav .menu > .menu-item > a:focus {
  background-color: #07c;
  color: #fff;
}
.nav .sub-menu {
  background-color: #ddd;
}
.nav .sub-menu,
.nav .sub-menu .dropdown-icon,
.nav .sub-menu .menu-item,
.nav .sub-menu .menu-item .dropdown-icon {
  border-color: rgba(0, 0, 0, 0.1);
}
.nav .sub-menu .menu-item,
.nav .sub-menu .menu-item a {
  color: #222;
}
.nav .sub-menu .menu-item a:hover, .nav .sub-menu .menu-item a:active, .nav .sub-menu .menu-item a:focus {
  background-color: white;
  color: black;
}


/* Vertikal Menu */

.vertical-menu {
  width: 200px; /* Set a width if you like */
}

.vertical-menu a {
  background-color: #eee; /* Grey background color */
  color: black; /* Black text color */
  display: block; /* Make the links appear below each other */
  padding: 12px; /* Add some padding */
  text-decoration: none; /* Remove underline from links */
}

.vertical-menu a:hover {
  background-color: #ccc; /* Dark grey background on mouse-over */
}

.vertical-menu a.active {
  background-color: #4CAF50; /* Add a green color to the "active/current" link */
  color: white;
}

/* barrierefreiheit*/

abbr {
    text-decoration-line: underline;
    text-decoration-style: dotted;
}
